Bug 573619 - com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl attribute parse failure
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl attribute...
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon VanAlten
Fedora Extras Quality Assurance
: 573606 (view as bug list)
Depends On:
Blocks: 573239
  Show dependency treegraph
Reported: 2010-03-15 07:34 EDT by Caolan McNamara
Modified: 2012-08-16 14:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 14:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
demo java (623 bytes, text/plain)
2010-03-15 07:35 EDT, Caolan McNamara
no flags Details
demo.xsl (295 bytes, text/plain)
2010-03-15 07:40 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Caolan McNamara 2010-03-15 07:34:44 EDT
Description of problem:
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl fails to parse (apparently) valid xslt

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. javac demo.java
2. java demo.java demo.xsl
Actual results:
TransformerFactory is 'com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl'
XSL is'/tmp/filter/example.xsl'
ERROR:  'file:/tmp/filter/example.xsl: line 4: Cannot parse attribute value template '{translate(@name,'{}','_')}'.'
FATAL ERROR:  'Could not compile stylesheet'
javax.xml.transform.TransformerConfigurationException: Could not compile stylesheet
	at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl.newTemplates(TransformerFactoryImpl.java:829)
	at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl.newTransformer(TransformerFactoryImpl.java:618)
	at demo.main(demo.java:12)

Expected results:
TransformerFactory is 'com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl'
XSL is'/tmp/filter/example.xsl'

Additional info:
Overridding the built-in xslt implementation, e.g.
export CLASSPATH=/usr/share/java/xalan-j2.jar:.
and all is well
java demo /tmp/filter/example.xsl 
TransformerFactory is 'org.apache.xalan.processor.TransformerFactoryImpl'
XSL is'/tmp/filter/example.xsl'

The problem is with the appearance of braces {} inside the translate string.
Comment 1 Caolan McNamara 2010-03-15 07:35:24 EDT
Created attachment 400186 [details]
demo java
Comment 2 Caolan McNamara 2010-03-15 07:40:59 EDT
Created attachment 400188 [details]
Comment 3 Jon VanAlten 2010-03-25 17:14:15 EDT
Thanks for the report, and the simple reproducer.  I did notice that it is really only the opening curly brace that causes this.  The problem is within classes that come from the JAXP drop.  I've filed a bug upstream.


In the meantime, I'd recommend to keep the xalan-j2 jar on your classpath as workaround.
Comment 4 Caolan McNamara 2010-04-08 05:55:40 EDT
*** Bug 573606 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2010-07-30 07:04:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
Comment 6 Fedora End Of Life 2012-08-16 14:32:37 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.